﻿using System.Windows.Controls;
using Telerik.Windows.Controls;
using TreeViewLoadOnDemand.NorthwindServiceReference;

namespace TreeViewLoadOnDemand
{
	public partial class Page : UserControl
	{
		public Page()
		{
			InitializeComponent();

			this.DataContext = new NorthwindDataSource();
		}

		private void RadTreeView_LoadOnDemand(object sender, Telerik.Windows.RadRoutedEventArgs e)
		{
			RadTreeViewItem item = e.OriginalSource as RadTreeViewItem;

			Category category = item.Item as Category;
			if (category != null)
			{
				NorthwindDataSource.BeginLoadingProducts(category);
			}
			else
			{
				item.IsLoadOnDemandEnabled = false;
			}
		}
	}
}